{
  lib,
  buildGoModule,
  fetchFromGitHub,
  installShellFiles,
  unstableGitUpdater,
}:

buildGoModule {
  pname = "packwiz";
  version = "0-unstable-2024-10-15";

  src = fetchFromGitHub {
    owner = "Silver-Golden";
    repo = "packwiz";
    rev = "fd5040288135318fce4f7a77f3439d3eb5d9629d";
    sha256 = "sha256-udH+dv8gqz2UdoUt+24Sflen3RgrT3xBLPYXxH4ro8Q=";
  };
  passthru.updateScript = unstableGitUpdater { };

  vendorHash = "sha256-krdrLQHM///dtdlfEhvSUDV2QljvxFc2ouMVQVhN7A0=";

  nativeBuildInputs = [
    installShellFiles
  ];

  postInstall = ''
    installShellCompletion --cmd packwiz \
      --bash <($out/bin/packwiz completion bash) \
      --fish <($out/bin/packwiz completion fish) \
      --zsh <($out/bin/packwiz completion zsh)
  '';

  meta = with lib; {
    description = "Command line tool for editing and distributing Minecraft modpacks, using a git-friendly TOML format";
    homepage = "https://packwiz.infra.link/";
    license = licenses.mit;
    maintainers = with maintainers; [ infinidoge ];
    mainProgram = "packwiz";
  };
}